Play.HT
    • Stream Audio From Text
      POST
    • Generate Audio From Text
      POST
    • Get Text-To-Speech Job Data
      GET
    • List PlayHT Voices
      GET
    • Create Instant Voice Clone (via file upload)
      POST
    • Create Instant Voice Clone (via file URL)
      POST
    • List Cloned Voices
      GET
    • Delete Cloned Voices
      DELETE
    • Timestamp From Audio
      POST
    • Get Transcription Job Data
      GET
    • Convert Plain Text To Speech
      POST
    • Convert SSML To Speech
      POST
    • Get Conversion Job Status
      GET
    • Get Available Voices
      GET

      Create Instant Voice Clone (via file upload)

      Develop Env
      https://dev.your-api-server.com
      Develop Env
      https://dev.your-api-server.com
      POST
      /api/v2/cloned-voices/instant
      Create an instant voice clone by providing a sample audio file via file upload.
      The cloned voice will be based on the characteristics of the provided audio
      file. Upload the file using multipart/form-data and include the sample file. The created
      voice clone can be used for text-to-speech (TTS) generation.
      The audio file selected as the source for the voice clone should have a
      duration ranging from 2 seconds to 1 hour. It can be in any audio
      format, as long as it falls within the size range of 5kb to 50MB.

      Request

      Body Params multipart/form-data

      Responses

      🟢201Created
      application/json
      Bodyapplication/json

      🟠400Bad Request
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://dev.your-api-server.com/api/v2/cloned-voices/instant' \
      --form 'sample_file=@""' \
      --form 'voice_name=""'
      Response Response Example
      201 - Success
      {
        "id": "s3://voice-cloning-zero-shot/475accx8-67cz-9812-x966-rda588612534/myvoice/manifest.json",
        "name": "myvoice",
        "type": "high-fidelity"
      }
      Modified at 2024-07-30 05:59:11
      Previous
      List PlayHT Voices
      Next
      Create Instant Voice Clone (via file URL)
      Built with